com.r3corda.node.services.config / NodeConfiguration

# NodeConfiguration

`interface NodeConfiguration`

### Properties

dataSourceProperties | `open val dataSourceProperties: Properties`
exportJMXto | `abstract val exportJMXto: String`
keyStorePassword | `abstract val keyStorePassword: String`
myLegalName | `abstract val myLegalName: String`
nearestCity | `abstract val nearestCity: String`
trustStorePassword | `abstract val trustStorePassword: String`

### Companion Object Properties

log | `val log: <ERROR CLASS>`

### Companion Object Functions

loadConfig | `fun loadConfig(baseDirectoryPath: Path, configFileOverride: Path? = null, allowMissingConfig: Boolean = false, configOverrides: Map<String, Any?> = emptyMap()): <ERROR CLASS>`

### Inheritors

FullNodeConfiguration | `class FullNodeConfiguration : NodeConfiguration`
NodeConfigurationFromConfig | `class NodeConfigurationFromConfig : NodeConfiguration`